from ...database.models.Substance import Substance

def getSubstanceData(substance_id):
    substance = Substance.query.filter_by(id=substance_id).first()
    tc = float(substance.critical_temperature)
    pc=float(substance.critical_pressure)/100000
    acentric=float(substance.acentric_factor)
    heat_capacity_equation = substance.ideal_gas_heat_capacity_equation
    cp_a = float(substance.ideal_gas_heat_capacity_a)
    cp_b= float(substance.ideal_gas_heat_capacity_b)
    cp_c= float(substance.ideal_gas_heat_capacity_c)
    cp_d= float(substance.ideal_gas_heat_capacity_d)
    cp_e= float(substance.ideal_gas_heat_capacity_e)
    heat_capacity_constants = (heat_capacity_equation, (cp_a, cp_b, cp_c, cp_d, cp_e))

    return (substance, tc, pc, acentric, heat_capacity_constants)
