import os
import click
from flask import Flask, g, current_app
from flask_sqlalchemy import SQLAlchemy
from flask.cli import with_appcontext
from .models import run_models
from .seeders import run_seeder

@click.command('migrate')
@with_appcontext
def migrate():
    print('Running migrations :O')
    run_models()
    print('Migrations finished :D')

@click.command('seeder')
@with_appcontext
def seeder():
    print('Running seeders :O')
    run_seeder()
    print('Seeders finished :D')

def db_commands(app):
    #app.teardown_appcontext(close_db)
    app.cli.add_command(migrate)
    app.cli.add_command(seeder)
