from ..models import db


class Substance(db.Model):
    __tablename__ = 'substance'
    id = db.Column(db.Integer, primary_key=True)
    name = db.Column(db.String(80), nullable=True)
    slug = db.Column(db.String(80), nullable=True)
    formula = db.Column(db.String(80), nullable=True)
    critical_temperature = db.Column(db.String(80), nullable=True)
    critical_pressure = db.Column(db.String(80), nullable=True)
    critical_volume = db.Column(db.String(80), nullable=True)
    critical_compressibility = db.Column(db.String(80), nullable=True)
    normal_boiling_point_temperature = db.Column(db.String(80), nullable=True)
    normal_melting_point_temperature = db.Column(db.String(80), nullable=True)
    triple_point_temperature = db.Column(db.String(80), nullable=True)
    triple_point_pressure = db.Column(db.String(80), nullable=True)
    molecular_weight = db.Column(db.String(80), nullable=True)
    liquid_volume_at_normal_boiling_point = db.Column(db.String(80), nullable=True)
    acentric_factor = db.Column(db.String(80), nullable=True)
    radius_of_gyration = db.Column(db.String(80), nullable=True)
    solubility_parameter = db.Column(db.String(80), nullable=True)
    dipole_moment = db.Column(db.String(80), nullable=True)
    van_der_waals_volume = db.Column(db.String(80), nullable=True)
    van_der_waals_area = db.Column(db.String(80), nullable=True)
    heat_of_formation = db.Column(db.String(80), nullable=True)
    gibbs_energy_of_formation = db.Column(db.String(80), nullable=True)
    absolute_entropy = db.Column(db.String(80), nullable=True)
    heat_of_fusion_at_melting_point = db.Column(db.String(80), nullable=True)
    heat_of_combustion = db.Column(db.String(80), nullable=True)
    matthias_copeman_c1 = db.Column(db.String(80), nullable=True)
    matthias_copeman_c2 = db.Column(db.String(80), nullable=True)
    matthias_copeman_c3 = db.Column(db.String(80), nullable=True)
    solid_density_equation = db.Column(db.String(80), nullable=True)
    solid_density_a = db.Column(db.String(80), nullable=True)
    solid_density_b = db.Column(db.String(80), nullable=True)
    solid_density_c = db.Column(db.String(80), nullable=True)
    solid_density_d = db.Column(db.String(80), nullable=True)
    solid_density_e = db.Column(db.String(80), nullable=True)
    solid_density_t_min = db.Column(db.String(80), nullable=True)
    solid_density_t_max = db.Column(db.String(80), nullable=True)
    liquid_density_equation = db.Column(db.String(80), nullable=True)
    liquid_density_a = db.Column(db.String(80), nullable=True)
    liquid_density_b = db.Column(db.String(80), nullable=True)
    liquid_density_c = db.Column(db.String(80), nullable=True)
    liquid_density_d = db.Column(db.String(80), nullable=True)
    liquid_density_e = db.Column(db.String(80), nullable=True)
    liquid_density_t_min = db.Column(db.String(80), nullable=True)
    liquid_density_t_max = db.Column(db.String(80), nullable=True)
    vapor_pressure_equation = db.Column(db.String(80), nullable=True)
    vapor_pressure_a = db.Column(db.String(80), nullable=True)
    vapor_pressure_b = db.Column(db.String(80), nullable=True)
    vapor_pressure_c = db.Column(db.String(80), nullable=True)
    vapor_pressure_d = db.Column(db.String(80), nullable=True)
    vapor_pressure_e = db.Column(db.String(80), nullable=True)
    vapor_pressure_t_min = db.Column(db.String(80), nullable=True)
    vapor_pressure_t_max = db.Column(db.String(80), nullable=True)
    heat_of_vaporization_equation = db.Column(db.String(80), nullable=True)
    heat_of_vaporization_a = db.Column(db.String(80), nullable=True)
    heat_of_vaporization_b = db.Column(db.String(80), nullable=True)
    heat_of_vaporization_c = db.Column(db.String(80), nullable=True)
    heat_of_vaporization_d = db.Column(db.String(80), nullable=True)
    heat_of_vaporization_e = db.Column(db.String(80), nullable=True)
    heat_of_vaporization_t_min = db.Column(db.String(80), nullable=True)
    heat_of_vaporization_t_max = db.Column(db.String(80), nullable=True)
    liquid_heat_capacity_equation = db.Column(db.String(80), nullable=True)
    liquid_heat_capacity_a = db.Column(db.String(80), nullable=True)
    liquid_heat_capacity_b = db.Column(db.String(80), nullable=True)
    liquid_heat_capacity_c = db.Column(db.String(80), nullable=True)
    liquid_heat_capacity_d = db.Column(db.String(80), nullable=True)
    liquid_heat_capacity_e = db.Column(db.String(80), nullable=True)
    liquid_heat_capacity_t_min = db.Column(db.String(80), nullable=True)
    liquid_heat_capacity_t_max = db.Column(db.String(80), nullable=True)
    ideal_gas_heat_capacity_equation = db.Column(db.String(80), nullable=True)
    ideal_gas_heat_capacity_a = db.Column(db.String(80), nullable=True)
    ideal_gas_heat_capacity_b = db.Column(db.String(80), nullable=True)
    ideal_gas_heat_capacity_c = db.Column(db.String(80), nullable=True)
    ideal_gas_heat_capacity_d = db.Column(db.String(80), nullable=True)
    ideal_gas_heat_capacity_e = db.Column(db.String(80), nullable=True)
    ideal_gas_heat_capacity_t_min = db.Column(db.String(80), nullable=True)
    ideal_gas_heat_capacity_t_max = db.Column(db.String(80), nullable=True)
    second_virial_coefficient_equation = db.Column(db.String(80), nullable=True)
    second_virial_coefficient_a = db.Column(db.String(80), nullable=True)
    second_virial_coefficient_b = db.Column(db.String(80), nullable=True)
    second_virial_coefficient_c = db.Column(db.String(80), nullable=True)
    second_virial_coefficient_d = db.Column(db.String(80), nullable=True)
    second_virial_coefficient_e = db.Column(db.String(80), nullable=True)
    second_virial_coefficient_t_min = db.Column(db.String(80), nullable=True)
    second_virial_coefficient_t_max = db.Column(db.String(80), nullable=True)
    liquid_viscosity_equation = db.Column(db.String(80), nullable=True)
    liquid_viscosity_a = db.Column(db.String(80), nullable=True)
    liquid_viscosity_b = db.Column(db.String(80), nullable=True)
    liquid_viscosity_c = db.Column(db.String(80), nullable=True)
    liquid_viscosity_d = db.Column(db.String(80), nullable=True)
    liquid_viscosity_e = db.Column(db.String(80), nullable=True)
    liquid_viscosity_t_min = db.Column(db.String(80), nullable=True)
    liquid_viscosity_t_max = db.Column(db.String(80), nullable=True)
    vapor_viscosity_equation = db.Column(db.String(80), nullable=True)
    vapor_viscosity_a = db.Column(db.String(80), nullable=True)
    vapor_viscosity_b = db.Column(db.String(80), nullable=True)
    vapor_viscosity_c = db.Column(db.String(80), nullable=True)
    vapor_viscosity_d = db.Column(db.String(80), nullable=True)
    vapor_viscosity_t_min = db.Column(db.String(80), nullable=True)
    vapor_viscosity_t_max = db.Column(db.String(80), nullable=True)
    liquid_thermal_conductivity_equation = db.Column(db.String(80), nullable=True)
    liquid_thermal_conductivity_a = db.Column(db.String(80), nullable=True)
    liquid_thermal_conductivity_b = db.Column(db.String(80), nullable=True)
    liquid_thermal_conductivity_c = db.Column(db.String(80), nullable=True)
    liquid_thermal_conductivity_d = db.Column(db.String(80), nullable=True)
    liquid_thermal_conductivity_e = db.Column(db.String(80), nullable=True)
    liquid_thermal_conductivity_t_min = db.Column(db.String(80), nullable=True)
    liquid_thermal_conductivity_t_max = db.Column(db.String(80), nullable=True)
    surface_tension_equation = db.Column(db.String(80), nullable=True)
    surface_tension_a = db.Column(db.String(80), nullable=True)
    surface_tension_b = db.Column(db.String(80), nullable=True)
    surface_tension_c = db.Column(db.String(80), nullable=True)
    surface_tension_d = db.Column(db.String(80), nullable=True)
    surface_tension_e = db.Column(db.String(80), nullable=True)
    surface_tension_t_min = db.Column(db.String(80), nullable=True)
    surface_tension_t_max = db.Column(db.String(80), nullable=True)
    vapor_thermal_conductivity_equation = db.Column(db.String(80), nullable=True)
    vapor_thermal_conductivity_a = db.Column(db.String(80), nullable=True)
    vapor_thermal_conductivity_b = db.Column(db.String(80), nullable=True)
    vapor_thermal_conductivity_c = db.Column(db.String(80), nullable=True)
    vapor_thermal_conductivity_d = db.Column(db.String(80), nullable=True)
    vapor_thermal_conductivity_e = db.Column(db.String(80), nullable=True)
    vapor_thermal_conductivity_t_min = db.Column(db.String(80), nullable=True)
    vapor_thermal_conductivity_t_max = db.Column(db.String(80), nullable=True)
    ideal_gas_heat_capacity_rpp_equation = db.Column(db.String(80), nullable=True)
    ideal_gas_heat_capacity_rpp_a = db.Column(db.String(80), nullable=True)
    ideal_gas_heat_capacity_rpp_b = db.Column(db.String(80), nullable=True)
    ideal_gas_heat_capacity_rpp_c = db.Column(db.String(80), nullable=True)
    ideal_gas_heat_capacity_rpp_d = db.Column(db.String(80), nullable=True)
    ideal_gas_heat_capacity_rpp_e = db.Column(db.String(80), nullable=True)
    ideal_gas_heat_capacity_rpp_t_min = db.Column(db.String(80), nullable=True)
    ideal_gas_heat_capacity_rpp_t_max = db.Column(db.String(80), nullable=True)
    relative_static_permittivity_equation = db.Column(db.String(80), nullable=True)
    relative_static_permittivity_a = db.Column(db.String(80), nullable=True)
    relative_static_permittivity_b = db.Column(db.String(80), nullable=True)
    relative_static_permittivity_c = db.Column(db.String(80), nullable=True)
    relative_static_permittivity_d = db.Column(db.String(80), nullable=True)
    relative_static_permittivity_e = db.Column(db.String(80), nullable=True)
    relative_static_permittivity_t_min = db.Column(db.String(80), nullable=True)
    relative_static_permittivity_t_max = db.Column(db.String(80), nullable=True)
    antoine_vapor_pressure_equation = db.Column(db.String(80), nullable=True)
    antoine_vapor_pressure_a = db.Column(db.String(80), nullable=True)
    antoine_vapor_pressure_b = db.Column(db.String(80), nullable=True)
    antoine_vapor_pressure_c = db.Column(db.String(80), nullable=True)
    antoine_vapor_pressure_t_min = db.Column(db.String(80), nullable=True)
    antoine_vapor_pressure_t_max = db.Column(db.String(80), nullable=True)
    liquid_viscosity_rps_equation = db.Column(db.String(80), nullable=True)
    liquid_viscosity_rps_a = db.Column(db.String(80), nullable=True)
    liquid_viscosity_rps_b = db.Column(db.String(80), nullable=True)
    liquid_viscosity_rps_c = db.Column(db.String(80), nullable=True)
    liquid_viscosity_rps_d = db.Column(db.String(80), nullable=True)
    liquid_viscosity_rps_e = db.Column(db.String(80), nullable=True)
    liquid_viscosity_rps_t_min = db.Column(db.String(80), nullable=True)
    liquid_viscosity_rps_t_max = db.Column(db.String(80), nullable=True)
    costald_volume = db.Column(db.String(80), nullable=True)
    lennard_jones_diameter = db.Column(db.String(80), nullable=True)
    lennard_jones_energy = db.Column(db.String(80), nullable=True)
    rackett_parameter = db.Column(db.String(80), nullable=True)
    fuller_difffusion_volume = db.Column(db.String(80), nullable=True)
    parachor = db.Column(db.String(80), nullable=True)
    specific_gravity = db.Column(db.String(80), nullable=True)
    charge = db.Column(db.String(80), nullable=True)
    srk_acentric_factor = db.Column(db.String(80), nullable=True)
    wilson_volume = db.Column(db.String(80), nullable=True)
    uniquac_r = db.Column(db.String(80), nullable=True)
    uniquac_q = db.Column(db.String(80), nullable=True)
    uniquac_qp = db.Column(db.String(80), nullable=True)
    chao_seader_acentric_factor = db.Column(db.String(80), nullable=True)
    chao_seader_solubility_paramater = db.Column(db.String(80), nullable=True)
    chao_seader_liquid_volume = db.Column(db.String(80), nullable=True)
    
    def __repr__(self):
        return '<Substance %r>' % self.name

