from flask import Blueprint
from flask_cors import CORS
from ..controllers.api import PureSubstanceController
from ..controllers.api import BinaryMixtureController
from ..controllers.api import MixtureController

api = Blueprint('api',__name__)
CORS(api)

api.add_url_rule('/pure-substance/solve','pure-substance-solve', PureSubstanceController.solve, methods=['POST'])
api.add_url_rule('/pure-substance/equilibrium', 'pure-substance-equilibrium', PureSubstanceController.equilibrium, methods=['POST'])
api.add_url_rule('/pure-substance/pv', 'pure-substance-pv', PureSubstanceController.pressureVolumeDiagram, methods=['POST'])
api.add_url_rule('/pure-substance/tv', 'pure-substance-tv', PureSubstanceController.temperatureVolumeDiagram, methods=['POST'])
api.add_url_rule('/pure-substance/pvt', 'pure-substance-pvt', PureSubstanceController.pressureVolumeTemperatureDiagram, methods=['POST'])

api.add_url_rule('/binary-mixture/solve', 'binary-mixture-solve', BinaryMixtureController.solve, methods=['POST'])
api.add_url_rule('/binary-mixture/bubble-temperature', 'binary-bubble-temperature', BinaryMixtureController.solve_bubble_temperature, methods=['POST'])
api.add_url_rule('/binary-mixture/bubble-pressure', 'binary-bubble-pressure', BinaryMixtureController.solve_bubble_pressure, methods=['POST'])
api.add_url_rule('/binary-mixture/dew-temperature', 'binary-dew-temperature', BinaryMixtureController.solve_dew_temperature, methods=['POST'])
api.add_url_rule('/binary-mixture/dew-pressure', 'binary-dew-pressure', BinaryMixtureController.solve_dew_pressure, methods=['POST'])
api.add_url_rule('/binary-mixture/pxy', 'binary-pxy', BinaryMixtureController.pressureCompositionDiagram, methods=['POST'])
api.add_url_rule('/binary-mixture/txy', 'binary-txy', BinaryMixtureController.temperatureCompositionDiagram, methods=['POST'])

api.add_url_rule('/mixture/bubble-temperature', 'bubble-temperature', MixtureController.solve_bubble_temperature, methods=['POST'])
api.add_url_rule('/mixture/bubble-pressure', 'bubble-pressure', MixtureController.solve_bubble_pressure, methods=['POST'])
api.add_url_rule('/mixture/dew-temperature', 'dew-temperature', MixtureController.solve_dew_temperature, methods=['POST'])
api.add_url_rule('/mixture/dew-pressure', 'dew-pressure', MixtureController.solve_dew_pressure, methods=['POST'])
api.add_url_rule('/mixture/pressure-temperature', 'pressure-temperature', MixtureController.pressure_temperature_diagram, methods=['POST'])
