from flask import Blueprint, url_for
from ..controllers.web import LandingController
from ..controllers.web import DashboardController
from ..controllers.web import PureSubstanceController
from ..controllers.web import BinaryMixtureController
from ..controllers.web import MixtureController
import os

web = Blueprint('web',__name__)

web.add_url_rule('/', 'index', DashboardController.index, methods=['GET'])
web.add_url_rule('/favicon.ico', 'favicon', LandingController.favicon, methods=['GET'])

# Pure Substance Routes
web.add_url_rule('/pure-substance', 'pure-substance', PureSubstanceController.index, methods=['GET'])
#web.add_url_rule('/pure-substance', 'pure-substance-equilibrium', PureSubstanceController.equilibrium, methods=['POST'])
web.add_url_rule('/pure-substance/pv', 'pure-substance-pv', PureSubstanceController.pressureVolumeDiagram, methods=['GET'])
web.add_url_rule('/pure-substance/tv', 'pure-substance-tv', PureSubstanceController.temperatureVolumeDiagram, methods=['GET'])
web.add_url_rule('/pure-substance/pvt', 'pure-substance-pvt', PureSubstanceController.pressureTemperatureVolumeDiagram, methods=['GET'])

# Binary Mixture Routes
web.add_url_rule('/binary-mixture', 'binary-mixture', BinaryMixtureController.index, methods=['GET'])
web.add_url_rule('/binary-mixture/pxy', 'binary-mixture-pxy', BinaryMixtureController.pressureCompositionDiagram, methods=['GET'])
web.add_url_rule('/binary-mixture/txy', 'binary-mixture-txy', BinaryMixtureController.temperatureCompositionDiagram, methods=['GET'])

# Mixture Routes
web.add_url_rule('/mixture', 'mixture', MixtureController.index, methods=['GET'])
web.add_url_rule('/mixture/pt', 'mixture-pt', MixtureController.pressureTemperatureDiagram, methods=['GET'])
