const webpack = require('webpack');
const resolve = require('path').resolve;

const config = {
    entry: __dirname + '/js/index.js',
    output:{
        filename: 'bundle.js',
    },
    resolve: {
    extensions: ['.js','.css']
    },
    module: {
        rules: [
            {
                test: /\.js?/,
                loader: 'babel-loader',
                exclude: /node-modules/,
                query: {
                    presets: ['@babel/preset-env']
                }
            },
            {
                test: /\.css$/,
                loader: 'style-loader!css-loader?modules'
            },
            {
                test: /\.(png|jpe?g|gif)$/i,
                use: [
                  {
                    loader: 'file-loader',
                  },
                ],
            },
        ]
    },
};
module.exports = config;